> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clinkbill.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 停用促销码

> Deactivate a promotion code.



## OpenAPI

````yaml PUT /promotion-code/{promotionCodeId}/deactivate
openapi: 3.1.0
info:
  title: Clink API
  description: >-
    Official API documentation for Clink's payment processing platform. This API
    enables merchants to create and manage payment sessions, handle
    subscriptions, and process transactions.
  version: 1.0.0
servers:
  - url: https://uat-api.clinkbill.com/api/
security:
  - ApiKeyAuth: []
paths:
  /promotion-code/{promotionCodeId}/deactivate:
    put:
      summary: Deactivate Promotion Code
      description: Deactivate a promotion code.
      operationId: deactivatePromotionCode
      parameters:
        - $ref: '#/components/parameters/TimestampHeader'
        - name: promotionCodeId
          in: path
          description: Unique identifier of the promotion code
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Promotion code deactivated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RVoid'
            '*/*':
              schema:
                $ref: '#/components/schemas/RVoid'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                type: string
components:
  parameters:
    TimestampHeader:
      name: X-Timestamp
      in: header
      required: true
      description: >-
        Current timestamp in milliseconds since Unix epoch (required for request
        signing)
      schema:
        type: string
        example: '1783513683000'
  schemas:
    RVoid:
      type: object
      properties:
        code:
          type: integer
          description: Response status code, 200 when success
          format: int32
          example: 200
        msg:
          type: string
          example: success
          description: Brief description of what happened, 'success' when happy case
      description: Body of the response message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your secret API key obtained from the Clink dashboard (Developers
        section)

````